All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.execution2
Class IQRelationalResultSetMetaData

    com.sas.iquery.execution2.IQRelationalResultSetMetaData

All Implemented Interfaces:
  IQResultSetMetaData

    public class IQRelationalResultSetMetaData

`IQRelationalResultSetMetadata` is a relational implementation of `IQResultSetMetaData`. Being an `IQResultSetMetaData`, we provide the ability to retrieve the data items that were used to create the underlying result set.

At this time, no relational result sets provide the ability to drill, but future relational subclasses of `IQResultSetMetadata` could be added.

For example, a future relational class could be added with this inheritance:

     public class IQRelationalDrillableResultSetMetaData extends AbstractIQResultSetMetaData;

     public List getDrillPaths(int axis) throws ExecutionException {
        // relational implementation provided here to override
        // default implementation in abstract class
     }

Constructor Summary
`IQRelationalResultSetMetaData(java.sql.ResultSet resultSet)` Create an `IQRelationalResultSetMetadata` object, based on metadata derived from the underlying, concrete, | `IQRelationalResultSetMetaData(java.sql.ResultSet resultSet, BusinessQuery bq)` Create an `IQRelationalResultSetMetadata` object, based on metadata derived from the underlying, concrete,
Method Summary
`java.sql.ResultSet` | `getResultSet()` Returns the underlying, concrete, `java.sql.ResultSet` object.
Methods inherited from class com.sas.iquery.execution2.AbstractIQResultSetMetaData
`addStringToDataItem, getAllDrillPaths, getDataItem, getDataItems, getDrillPaths, getDrillPaths, getUniqueNames, isDrillable, stringToDataItem`
Constructor Detail
### IQRelationalResultSetMetaData
    public IQRelationalResultSetMetaData(java.sql.ResultSet resultSet)
Create an `IQRelationalResultSetMetadata` object, based on metadata derived from the underlying, concrete, `ResultSet` object and information provided by the IQ model. Parameters: `resultSet` - the relational `the java.sql.ResultSet` result set ### IQRelationalResultSetMetaData
    public IQRelationalResultSetMetaData(java.sql.ResultSet resultSet,
                                         BusinessQuery bq)
Create an `IQRelationalResultSetMetadata` object, based on metadata derived from the underlying, concrete, `ResultSet` object and information provided by the IQ model through the input `BusinessQuery`. Parameters: `olapDataSet` - the concrete OLAP data set `bq` - the business query used to create the OLAP result set
Method Detail
### getResultSet
    public java.sql.ResultSet getResultSet()
Returns the underlying, concrete, `java.sql.ResultSet` object. Returns: the underlying `java.sql.ResultSet` object.
All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD
Copyright © 2009 SAS Institute Inc. All Rights Reserved.